# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
IntermediatePoint Class Reference
Inheritance diagram for IntermediatePoint:

## Public Member Functions

double | getX ()
| returns the x coordinate.
double | getY ()
| returns the y coordinate.
| IntermediatePoint (double x, double y)
| creates a new wire point based on its (x,y) coordinates. More...

## Detailed Description

This class describes a wire point defined by its (x,y) coordinates.

## Constructor & Destructor Documentation

## ◆ IntermediatePoint()

IntermediatePoint | ( | double | x,
|  | double | y
| ) |  |

inline

creates a new wire point based on its (x,y) coordinates.

Parameters

  x | the x coordinate.
  y | the y coordinate.